Bug 1268862 - [abrt] x2goclient: ssh_poll_ctx_remove(): x2goclient killed by SIGSEGV
[abrt] x2goclient: ssh_poll_ctx_remove(): x2goclient killed by SIGSEGV
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: libssh (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andreas Schneider
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:211f1db5d781a6371b0efac2d7b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-05 09:12 EDT by Martín Cigorraga
Modified: 2016-11-25 03:36 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-25 03:36:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (47.26 KB, text/plain)
2015-10-05 09:12 EDT, Martín Cigorraga
no flags Details
File: cgroup (190 bytes, text/plain)
2015-10-05 09:12 EDT, Martín Cigorraga
no flags Details
File: core_backtrace (17.72 KB, text/plain)
2015-10-05 09:12 EDT, Martín Cigorraga
no flags Details
File: dso_list (17.35 KB, text/plain)
2015-10-05 09:13 EDT, Martín Cigorraga
no flags Details
File: environ (1.76 KB, text/plain)
2015-10-05 09:13 EDT, Martín Cigorraga
no flags Details
File: exploitable (82 bytes, text/plain)
2015-10-05 09:13 EDT, Martín Cigorraga
no flags Details
File: limits (1.29 KB, text/plain)
2015-10-05 09:13 EDT, Martín Cigorraga
no flags Details
File: maps (86.75 KB, text/plain)
2015-10-05 09:13 EDT, Martín Cigorraga
no flags Details
File: mountinfo (3.80 KB, text/plain)
2015-10-05 09:13 EDT, Martín Cigorraga
no flags Details
File: namespaces (85 bytes, text/plain)
2015-10-05 09:13 EDT, Martín Cigorraga
no flags Details
File: open_fds (1.39 KB, text/plain)
2015-10-05 09:13 EDT, Martín Cigorraga
no flags Details
File: proc_pid_status (1018 bytes, text/plain)
2015-10-05 09:13 EDT, Martín Cigorraga
no flags Details
File: var_log_messages (184 bytes, text/plain)
2015-10-05 09:13 EDT, Martín Cigorraga
no flags Details

  None (edit)
Description Martín Cigorraga 2015-10-05 09:12:47 EDT
Version-Release number of selected component:
x2goclient-4.0.5.0-3.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        x2goclient
crash_function: ssh_poll_ctx_remove
executable:     /usr/bin/x2goclient
global_pid:     27284
kernel:         4.2.2-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 ssh_poll_ctx_remove at /usr/src/debug/libssh-0.7.2/src/poll.c:564
 #1 ssh_poll_free at /usr/src/debug/libssh-0.7.2/src/poll.c:311
 #2 ssh_socket_close at /usr/src/debug/libssh-0.7.2/src/socket.c:447
 #3 ssh_client_connection_callback at /usr/src/debug/libssh-0.7.2/src/client.c:436
 #4 ssh_socket_nonblocking_flush at /usr/src/debug/libssh-0.7.2/src/socket.c:641
 #5 ssh_socket_write at /usr/src/debug/libssh-0.7.2/src/socket.c:622
 #6 ssh_packet_write at /usr/src/debug/libssh-0.7.2/src/packet.c:509
 #7 packet_send2 at /usr/src/debug/libssh-0.7.2/src/packet.c:579
 #8 packet_send at /usr/src/debug/libssh-0.7.2/src/packet.c:604
 #9 ssh_channel_send_eof at /usr/src/debug/libssh-0.7.2/src/channels.c:1085
Comment 1 Martín Cigorraga 2015-10-05 09:12:56 EDT
Created attachment 1079953 [details]
File: backtrace
Comment 2 Martín Cigorraga 2015-10-05 09:12:57 EDT
Created attachment 1079954 [details]
File: cgroup
Comment 3 Martín Cigorraga 2015-10-05 09:12:59 EDT
Created attachment 1079955 [details]
File: core_backtrace
Comment 4 Martín Cigorraga 2015-10-05 09:13:01 EDT
Created attachment 1079956 [details]
File: dso_list
Comment 5 Martín Cigorraga 2015-10-05 09:13:03 EDT
Created attachment 1079957 [details]
File: environ
Comment 6 Martín Cigorraga 2015-10-05 09:13:05 EDT
Created attachment 1079958 [details]
File: exploitable
Comment 7 Martín Cigorraga 2015-10-05 09:13:07 EDT
Created attachment 1079959 [details]
File: limits
Comment 8 Martín Cigorraga 2015-10-05 09:13:10 EDT
Created attachment 1079960 [details]
File: maps
Comment 9 Martín Cigorraga 2015-10-05 09:13:12 EDT
Created attachment 1079961 [details]
File: mountinfo
Comment 10 Martín Cigorraga 2015-10-05 09:13:14 EDT
Created attachment 1079962 [details]
File: namespaces
Comment 11 Martín Cigorraga 2015-10-05 09:13:16 EDT
Created attachment 1079963 [details]
File: open_fds
Comment 12 Martín Cigorraga 2015-10-05 09:13:18 EDT
Created attachment 1079964 [details]
File: proc_pid_status
Comment 13 Martín Cigorraga 2015-10-05 09:13:19 EDT
Created attachment 1079965 [details]
File: var_log_messages
Comment 14 Orion Poplawski 2015-10-05 21:43:05 EDT
Looks like this is in libssh, let's see what they say.  Can you reproduce the crash?
Comment 15 Martín Cigorraga 2015-10-05 23:26:38 EDT
Hi Orion, thanks for stepping in.

I can't reproduce the crash at will but it has been a recurring issue lately, what do you have in mind?
Comment 16 Orion Poplawski 2015-10-06 09:51:07 EDT
Does it seem correlated to any particular activity, or just happens at random during a session?
Comment 17 Martín Cigorraga 2015-10-06 12:37:31 EDT
Hmm, as far I can tell it happens at random. Would it help if I check the journal for any related information? I don't know what else I could do to hand you more feedback.
Comment 18 Orion Poplawski 2015-10-06 12:40:50 EDT
possibly running "x2goclient --debug" and seeing what is output when it crashes if anything.
Comment 19 Andreas Schneider 2015-10-07 05:04:47 EDT
I'm not sure if this is libssh its fault. You can run it using valgrind it might reveal the issue ...
Comment 20 Martín Cigorraga 2015-10-22 07:22:21 EDT
Hello Orion, Andreas,

Sorry for the late reply, I've been super-busy at work lately.
I just ran x2goclient through Valgrind and the x2Go client crashed when trying to connecto to a server, hosted on my F22 home server:
http://paste.fedoraproject.org/282352/44551272

Please don't hesitate in letting me know if I can be of any further help.

HTH!
Comment 21 Orion Poplawski 2015-10-22 12:45:03 EDT
Arghh, that's looks like a failure inside valgrind itself.  It would be worth attaching it to this report for posterity.
Comment 22 Martín Cigorraga 2015-10-22 12:51:11 EDT
:fp:
My bad, apologies.
I will try to reproduce the error in x2go and report back accordingly.
Comment 23 Fedora End Of Life 2016-11-24 07:41:51 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 24 Andreas Schneider 2016-11-25 03:36:55 EST
Please report it to https://red.libssh.org/


Thanks!

Note You need to log in before you can comment on or make changes to this bug.